#property copyright "Copyright  2016, Crossluck"
#property version "1.00"
#property description "CCI Arrow NRP"
//-----------------------------------------------------------------------------------------------------------------------------//
#property strict
//-----------------------------------------------------------------------------------------------------------------------------//
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 clrGreen
#property indicator_width1 0
#property indicator_color2 clrRed
#property indicator_width2 0
//-----------------------------------------------------------------------------------------------------------------------------//
extern string S1=" ";
extern int period_cci=14;//
extern ENUM_APPLIED_PRICE applied_price_cci=0;//  
extern string S2=" ";
extern bool ClearAllObjects=true;//    
extern int Counted_bars=10000;//- 
extern int Indent=50;// 
extern string S3=" ";
extern string SoundFile="alert.wav";// 
extern bool UseSound=true;//  
//-----------------------------------------------------------------------------------------------------------------------------//
string LF="\n";
//-----------------------------------------------------------------------------------------------------------------------------//
int ObjCount=0;
int current=0;
//-----------------------------------------------------------------------------------------------------------------------------//
double up[];
double down[];
double lastsignal[];
//-----------------------------------------------------------------------------------------------------------------------------//
bool SoundBuy=false;
bool SoundSell=false;
bool Buy=false;
bool Sell=false;
//-----------------------------------------------------------------------------------------------------------------------------//
int init()
{
if(ClearAllObjects)ObjectsDeleteAll();
IndicatorShortName("CCI Arrow NRP");
IndicatorDigits(5);
IndicatorBuffers(3);
SetIndexBuffer(0,up);
SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID);
SetIndexArrow(0,233);
SetIndexBuffer(1,down);
SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID);
SetIndexArrow(1,234);
SetIndexBuffer(2,lastsignal);
return(0);
}
//-----------------------------------------------------------------------------------------------------------------------------//
int deinit()
{
if(ClearAllObjects)ObjectsDeleteAll();
return(0);
}
//-----------------------------------------------------------------------------------------------------------------------------//
int start()
{
Tick();
return(0);
}
//-----------------------------------------------------------------------------------------------------------------------------//
void Tick()
{

if( Counted_bars > Bars-2 ) Counted_bars = Bars-2;

for(int i=Counted_bars;i>=0;i--)
{

lastsignal[i] = lastsignal[i+1];

current=i;
up();
down();
}
}
//-----------------------------------------------------------------------------------------------------------------------------//
void up()
{
if( lastsignal[current+1] != 1 )
if(iCCI(NULL,PERIOD_CURRENT,period_cci,applied_price_cci,current+1)>100 && iCCI(NULL,PERIOD_CURRENT,period_cci,applied_price_cci,current+2)<100 && Buy==false)
{
Buy=true;
Sell=false;
arrows_up();
}
}
void arrows_up()
{
lastsignal[current] = 1;
up[current]=Low[current]-Indent*Point();
}
//-----------------------------------------------------------------------------------------------------------------------------//
void down()
{
if( lastsignal[current+1] != -1 )
if(iCCI(NULL,PERIOD_CURRENT,period_cci,applied_price_cci,current+1)<-100 && iCCI(NULL,PERIOD_CURRENT,period_cci,applied_price_cci,current+2)>-100 && Sell==false)
{
Buy=false;
Sell=true;
arrows_down();
}
}
void arrows_down()
{
lastsignal[current] = -1;
down[current]=High[current]+Indent*Point();
//-----------------------------------------------------------------------------------------------------------------------------//
if(up[0]!=EMPTY_VALUE&&up[0]!=0&&SoundBuy)
{
SoundBuy=false;
if(UseSound)PlaySound(SoundFile);
Alert("CCI Arrow NRP(",Symbol(),",",Period(),")-!");
}
if(!SoundBuy&&(up[0]==EMPTY_VALUE||up[0]==0))SoundBuy=true;
//-----------------------------------------------------------------------------------------------------------------------------//
if(down[0]!=EMPTY_VALUE&&down[0]!=0&&SoundSell)
{
SoundSell=false;
if(UseSound)PlaySound(SoundFile);
Alert("CCI Arrow NRP(",Symbol(),",",Period(),")-!");
}
if(!SoundSell&&(down[0]==EMPTY_VALUE||down[0]==0))SoundSell=true;
}
//-----------------------------------------------------------------------------------------------------------------------------//